"use strict";

window.ioAuthoring = {};

ioAuthoring.urls = {};
ioAuthoring.urls.baseFogController = "http://localhost:3000/";
ioAuthoring.urls.baseIOAuthoring = "http://localhost:4000/";

ioAuthoring.urls.login = ioAuthoring.urls.baseFogController + "api/v1/user/login";
ioAuthoring.urls.logout = ioAuthoring.urls.baseFogController + "api/v1/user/logout";

/******************************** build page URLs *********************************/
ioAuthoring.urls.loginPage = ioAuthoring.urls.baseIOAuthoring + "login";
ioAuthoring.urls.build = ioAuthoring.urls.baseIOAuthoring + "authoring/build";
ioAuthoring.urls.passwordChange = ioAuthoring.urls.baseIOAuthoring + "password/change";

ioAuthoring.urls.getElementInstancesLayouts = ioAuthoring.urls.baseIOAuthoring + "api/v2/get/element/instances/layouts";
ioAuthoring.urls.updateElementInstancesLayouts = ioAuthoring.urls.baseIOAuthoring + "api/v2/authoring/element/instance/layout/update";
ioAuthoring.urls.elementInstanceLayoutCreate = ioAuthoring.urls.baseIOAuthoring + "api/v2/authoring/build/element/instance/create";
ioAuthoring.urls.deleteElementInstanceLayouts = ioAuthoring.urls.baseIOAuthoring + "api/v2/authoring/user/track/delete";

ioAuthoring.urls.getTrackListForUser = ioAuthoring.urls.baseFogController + "api/v2/authoring/user/track/list/"; //:userId
ioAuthoring.urls.getElementCatalog = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/catalog/get";
ioAuthoring.urls.getFogInstancesForUser = ioAuthoring.urls.baseFogController + "api/v2/authoring/integrator/instances/list/"; //:userId
ioAuthoring.urls.getElementInstances = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/instance/details/trackid/"; //:trackId
ioAuthoring.urls.createNewTrack = ioAuthoring.urls.baseFogController + "api/v2/authoring/user/track/create";
ioAuthoring.urls.updateTrack = ioAuthoring.urls.baseFogController + "api/v2/authoring/user/track/update";
ioAuthoring.urls.deleteUserTrack = ioAuthoring.urls.baseFogController + "api/v2/authoring/user/track/delete";
ioAuthoring.urls.elementInstanceCreate = ioAuthoring.urls.baseFogController + "api/v2/authoring/build/element/instance/create";
ioAuthoring.urls.elementInstanceUpdate = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/instance/update";
ioAuthoring.urls.elementInstanceDelete = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/instance/delete";
ioAuthoring.urls.getElementInstanceProperties = ioAuthoring.urls.baseFogController + "api/v2/authoring/build/properties/panel/get";
ioAuthoring.urls.createElementInstanceRoute = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/instance/route/create";
ioAuthoring.urls.deleteElementInstanceRoute = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/instance/route/delete";
ioAuthoring.urls.createElementInstanceConnection = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/connection/create";
ioAuthoring.urls.deleteElementInstanceConnection = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/connection/delete";
ioAuthoring.urls.createElementInstancePort = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/instance/port/create";
ioAuthoring.urls.deleteElementInstancePort = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/instance/port/delete";
ioAuthoring.urls.elementInstanceRebuildStatus = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/instance/rebuild/status/elementid/"; //:elementId
ioAuthoring.urls.elementInstanceRebuildUpdate = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/instance/rebuild";

/******************************** publish page URLs *********************************/
ioAuthoring.urls.getElementLayouts = ioAuthoring.urls.baseIOAuthoring + "api/v2/authoring/get/element/module/layout";
ioAuthoring.urls.getElementsForPublish = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/get";
ioAuthoring.urls.deleteElementLayouts = ioAuthoring.urls.baseIOAuthoring + "api/v2/authoring/element/module/delete/moduleid/"; //:moduleId

ioAuthoring.urls.createElementLayouts = ioAuthoring.urls.baseIOAuthoring + "api/v2/authoring/element/module/create";
ioAuthoring.urls.updateElementLayouts = ioAuthoring.urls.baseIOAuthoring + "api/v2/authoring/element/module/layout/update";
ioAuthoring.urls.uploadElementIcon = ioAuthoring.urls.baseIOAuthoring + "api/v2/authoring/element/icon/upload/moduleid/"; //:moduleId

ioAuthoring.urls.getFogTypesList = ioAuthoring.urls.baseFogController + "api/v2/authoring/fabric/types/list";
ioAuthoring.urls.createElement = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/module/create";
ioAuthoring.urls.updateElement = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/module/update";
ioAuthoring.urls.deleteElement = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/module/delete/moduleid/"; //:moduleId
ioAuthoring.urls.getElementDetails = ioAuthoring.urls.baseFogController + "api/v2/authoring/element/module/details/moduleid/"; //:moduleId

/********************************** fog page URLs ******************************************/
ioAuthoring.urls.getFogLayout = ioAuthoring.urls.baseIOAuthoring + "api/v2/authoring/fabric/instances/list";
ioAuthoring.urls.updateFogInstanceLayout = ioAuthoring.urls.baseIOAuthoring + "api/v2/authoring/fabric/instances/layout/update";
ioAuthoring.urls.deleteFogInstanceLayout = ioAuthoring.urls.baseIOAuthoring + "api/v2/authoring/fabric/instance/delete";

ioAuthoring.urls.fogInstancesList = ioAuthoring.urls.baseFogController + "api/v2/authoring/fabric/instances/list";
ioAuthoring.urls.createFogInstance = ioAuthoring.urls.baseFogController + "api/v2/authoring/fabric/instance/create";
ioAuthoring.urls.getFogDetails = ioAuthoring.urls.baseFogController + "api/v2/authoring/fabric/details";
ioAuthoring.urls.deleteFogInstance = ioAuthoring.urls.baseFogController + "api/v2/authoring/fabric/instance/delete";
ioAuthoring.urls.fogProvisioning = ioAuthoring.urls.baseFogController + "api/v2/authoring/fabric/provisioningkey/instanceid/"; //:instanceId
ioAuthoring.urls.fogSettingsUpdate = ioAuthoring.urls.baseFogController + "api/v2/authoring/fabric/instances/settings/update";
// ioAuthoring.urls.addBluebox = ioAuthoring.urls.baseFogController + "api/v2/authoring/fabric/instance/bluebox/add";

/************************************* account page URLs *************************************/
ioAuthoring.urls.getUserDetails = ioAuthoring.urls.baseFogController + "api/v2/get/user/data/"; //:t
ioAuthoring.urls.updateUserDetails = ioAuthoring.urls.baseFogController + "api/v1/user/profile/update";
ioAuthoring.urls.updateUserPassword = ioAuthoring.urls.baseFogController + "api/v1/user/password/change";
ioAuthoring.urls.deleteUserAccount = ioAuthoring.urls.baseFogController + "api/v1/user/account/delete";
ioAuthoring.urls.userSignup = ioAuthoring.urls.baseFogController + "api/v1/user/signup";
ioAuthoring.urls.resetUserPassword = ioAuthoring.urls.baseFogController + "api/v1/user/password/reset";
ioAuthoring.urls.resendEmailActivationCode = ioAuthoring.urls.baseFogController + "api/v1/user/account/activate/resend";
ioAuthoring.urls.activateUserAccount = ioAuthoring.urls.baseFogController + "account/activate/code/"; //:code