'use strict';

Object.defineProperty(exports, "__esModule", {
		value: true
});
var najax = require('najax');

var authenticateUser = function authenticateUser(req, res, next) {
		najax('http://localhost:3000/api/v2/user/authenticate/' + req.cookies.apwAccessToken, { type: 'GET' }).success(function (result) {
				var resp = JSON.parse(result);

				if (resp.status == 'ok') {
						next();
				} else {
						res.redirect('/login');
				}
		}).error(function (result) {
				res.redirect('/login');
		});
};

var loginPage = function loginPage(req, res) {
		res.render("login/base", {
				title: 'Login to iotracks',
				metaDescription: "User login page for iotracks software",
				metaCacheControl: "",
				metaPragma: "",
				metaKeywords: "",
				metaAuthor: "iotracks, inc.",
				metaCopyright: "2016 iotracks, inc.",
				metaRobotDirective: "",
				linkCanonical: "https://iotracks.com/login"
		});
};

var resetUserPasswordPage = function resetUserPasswordPage(req, res) {
		res.render("login/resetPassword", {
				title: 'Forgot password',
				metaDescription: "Password reset page for iotracks software",
				metaCacheControl: "",
				metaPragma: "",
				metaKeywords: "",
				metaAuthor: "iotracks, inc.",
				metaCopyright: "2016 iotracks, inc.",
				metaRobotDirective: "",
				linkCanonical: "https://iotracks.com/password/reset"
		});
};

var resendActivationEmailPage = function resendActivationEmailPage(req, res) {
		res.render("login/resendActivationEmail", {
				title: 'Resend activation',
				metaDescription: "Resend activation email page for iotracks software",
				metaCacheControl: "",
				metaPragma: "",
				metaKeywords: "",
				metaAuthor: "iotracks, inc.",
				metaCopyright: "2016 iotracks, inc.",
				metaRobotDirective: "",
				linkCanonical: "https://iotracks.com/account/activate/resend"
		});
};

var userSignupPage = function userSignupPage(req, res) {
		res.render("login/userSignup", {
				title: 'Signup for iotracks',
				metaDescription: "User signup page for iotracks software",
				metaCacheControl: "",
				metaPragma: "",
				metaKeywords: "",
				metaAuthor: "iotracks, inc.",
				metaCopyright: "2016 iotracks, inc.",
				metaRobotDirective: "",
				linkCanonical: "https://iotracks.com/signup"
		});
};

var buildPage = function buildPage(req, res) {
		res.render("build/base");
};

var publishingPage = function publishingPage(req, res) {
		res.render("publish/base");
};

var fogPage = function fogPage(req, res) {
		res.render("fog/base");
};

var accountPage = function accountPage(req, res) {
		res.render("account/base");
};

var updateProfilePage = function updateProfilePage(req, res) {
		res.render("account/updateProfile", {
				title: 'Update iotracks profile',
				metaDescription: "Update profile for iotracks user",
				metaCacheControl: "",
				metaPragma: "",
				metaKeywords: "",
				metaAuthor: "iotracks, inc.",
				metaCopyright: "2016 iotracks, inc.",
				metaRobotDirective: "",
				linkCanonical: "https://iotracks.com/profile/update"
		});
};

var updateUserPasswordPage = function updateUserPasswordPage(req, res) {
		res.render("account/updatePassword", {
				title: 'Change iotracks password',
				metaDescription: "Change password for iotracks software",
				metaCacheControl: "",
				metaPragma: "",
				metaKeywords: "",
				metaAuthor: "iotracks, inc.",
				metaCopyright: "2016 iotracks, inc.",
				metaRobotDirective: "",
				linkCanonical: "https://iotracks.com/password/change"
		});
};

var deleteUserAccountPage = function deleteUserAccountPage(req, res) {
		res.render("account/deleteUserAccount", {
				title: 'Delete iotracks account',
				metaDescription: "Delete account for iotracks user",
				metaCacheControl: "",
				metaPragma: "",
				metaKeywords: "",
				metaAuthor: "iotracks, inc.",
				metaCopyright: "2016 iotracks, inc.",
				metaRobotDirective: "",
				linkCanonical: "https://iotracks.com/account/delete"
		});
};

var logoutEndPoint = function logoutEndPoint(req, res) {
		res.render("logout/base");
};

var activateAccountPage = function activateAccountPage(req, res) {
		res.render("account/activateUserAccount", {
				title: 'Activate account',
				metaDescription: "Account activation page for iotracks software",
				metaCacheControl: "",
				metaPragma: "",
				metaKeywords: "",
				metaAuthor: "iotracks, inc.",
				metaCopyright: "2016 iotracks, inc.",
				metaRobotDirective: "",
				linkCanonical: "https://iotracks.com/account/activate",
				code: req.params.code
		});
};

exports.default = {
		authenticateUser: authenticateUser,
		activateAccountPage: activateAccountPage,
		loginPage: loginPage,
		logoutEndPoint: logoutEndPoint,
		resetUserPasswordPage: resetUserPasswordPage,
		resendActivationEmailPage: resendActivationEmailPage,
		userSignupPage: userSignupPage,
		buildPage: buildPage,
		publishingPage: publishingPage,
		fogPage: fogPage,
		accountPage: accountPage,
		updateProfilePage: updateProfilePage,
		updateUserPasswordPage: updateUserPasswordPage,
		deleteUserAccountPage: deleteUserAccountPage
};